Subject: bug#46801: Autodetection of grep-use-null-device

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Feb 2021 06:03:46 +0100

<[email-masked]> writes:

> 4/ I can see that grep-use-null-device has been set to nil
>
> This suggests that automatic detection of grep-use-null-device
>
> has taken place. Is this expected after non-interactive invocation ?

It's always computed -- by `grep-process-setup', but that's after the
grep command is constructed, which is why you're getting that
"/dev/null" at the end, and then the variable is set to nil.

I've now changed this in Emacs 28 to compute the value earlier, so this
is less inconsistent (and I've also updated the doc string).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no